#!/usr/bin/env bash

MAPPER=/lisc/user/papadopoulos/repos/pycno-seq/annotate/prep-RNA-map-single.sh
ASSEMBLY=/lisc/scratch/zoology/pycnogonum/genome/draft/

# early development
BASE="/lisc/scratch/zoology/pycnogonum/raw/early_RNA"
ZYGOTE="$BASE/Plit35_S8"
EARLY_CLEAVAGE="$BASE/Plit31_S6"
EMBRYO0_1="$BASE/Plit40_S11"
EMBRYO3_5="$BASE/Plit32_S7"
EMBRYO9_10="$BASE/Plit36_S9"
# INSTAR2_5="$BASE/Plit39_S10"

sbatch $MAPPER $ASSEMBLY ZYGOTE "$ZYGOTE"_L001
sbatch $MAPPER $ASSEMBLY EARLY_CLEAVAGE "$EARLY_CLEAVAGE"_L001
sbatch $MAPPER $ASSEMBLY EMBRYO0_1 "$EMBRYO0_1"_L001
sbatch $MAPPER $ASSEMBLY EMBRYO3_5 "$EMBRYO3_5"_L001
sbatch $MAPPER $ASSEMBLY EMBRYO9_10 "$EMBRYO9_10"_L001

# instars
BASE="/lisc/scratch/zoology/pycnogonum/raw/HTT33DSX5_4_R15615_20230713/demultiplexed"

EMBRYO3="$BASE/235255/235255_S49"
INSTAR1="$BASE/235253/235253_S47"
INSTAR2="$BASE/235256/235256_S50"
INSTAR3="$BASE/235257/235257_S51"
INSTAR4="$BASE/235258/235258_S52"
INSTAR5="$BASE/235259/235259_S53"
INSTAR6="$BASE/235254/235254_S48"
JUV1="$BASE/235260/235260_S54"
SUBADULT="$BASE/235261/235261_S55"

sbatch $MAPPER $ASSEMBLY EMBRYO3 "$EMBRYO3"_L004
sbatch $MAPPER $ASSEMBLY INSTAR1 "$INSTAR1"_L004
sbatch $MAPPER $ASSEMBLY INSTAR2 "$INSTAR2"_L004
sbatch $MAPPER $ASSEMBLY INSTAR3 "$INSTAR3"_L004
sbatch $MAPPER $ASSEMBLY INSTAR4 "$INSTAR4"_L004
sbatch $MAPPER $ASSEMBLY INSTAR5 "$INSTAR5"_L004
sbatch $MAPPER $ASSEMBLY INSTAR6 "$INSTAR6"_L004
sbatch $MAPPER $ASSEMBLY JUV1 "$JUV1"_L004
sbatch $MAPPER $ASSEMBLY SUBADULT "$SUBADULT"_L004